<?php
/**
 * The template part for displaying grid post
 *
 * @package Halloween Party
 * @subpackage halloween-party
 * @since halloween-party 1.0
 */
?>

<div class="col-lg-4 col-md-6">
	<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
	    <div class="post-main-box p-3 mb-3 wow zoomIn" data-wow-duration="2s">
	      	<div class="box-image">
	          	<?php 
		            if(has_post_thumbnail() && get_theme_mod( 'halloween_party_featured_image_hide_show',true) == 1) {
		              the_post_thumbnail();
		            }
	          	?>
	        </div>
	        <h2 class="section-title mt-0 pt-0"><a href="<?php the_permalink(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
          <?php if( get_theme_mod( 'halloween_party_grid_postdate',true) == 1 || get_theme_mod( 'halloween_party_grid_author',true) == 1 || get_theme_mod( 'halloween_party_grid_comments',true) == 1) { ?> 
            <div class="post-info p-2 mb-3">
              <?php if(get_theme_mod('halloween_party_grid_postdate',true)==1){ ?>
                <i class="fas fa-calendar-alt me-2"></i><span class="entry-date"><a href="<?php echo esc_url( get_day_link( $halloween_party_archive_year, $halloween_party_archive_month, $halloween_party_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
              <?php } ?>

              <?php if(get_theme_mod('halloween_party_grid_author',true)==1){ ?>
                <span><?php echo esc_html(get_theme_mod('halloween_party_meta_field_separator', '|'));?></span> <i class="fas fa-user me-2"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
              <?php } ?>

              <?php if(get_theme_mod('halloween_party_grid_comments',true)==1){ ?>
                <span><?php echo esc_html(get_theme_mod('halloween_party_meta_field_separator', '|'));?></span> <i class="fa fa-comments me-2" aria-hidden="true"></i><span class="entry-comments"><?php comments_number( __('0 Comment', 'halloween-party'), __('0 Comments', 'halloween-party'), __('% Comments', 'halloween-party') ); ?></span>
              <?php } ?>
            </div>
          <?php } ?>
	        <div class="new-text">
	        	<p>
			        <?php $halloween_party_excerpt = get_the_excerpt(); echo esc_html( halloween_party_string_limit_words( $halloween_party_excerpt, esc_attr(get_theme_mod('halloween_party_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('halloween_party_excerpt_suffix','') ); ?>
	        	</p>
	        </div>
	        <?php if( get_theme_mod('halloween_party_button_text','Read More') != ''){ ?>
	          <div class="more-btn mt-4 mb-4">
	            <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('halloween_party_button_text',__('Read More','halloween-party')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('halloween_party_button_text',__('Read More','halloween-party')));?></span></a>
	          </div>
	        <?php } ?>
	    </div>
	    <div class="clearfix"></div>
  	</article>
</div>