<?php
/**
 * The template part for Middle Header
 *
 * @package Halloween Party
 * @subpackage halloween-party
 * @since halloween-party 1.0
 */
?>

<?php if( get_theme_mod( 'halloween_party_topbar_hide_show', false) == 1) { ?>
  <div class="top-bar p-2">
    <div class="container">
      <div class="row">
        <div class="col-lg-4 col-md-12 text-lg-start text-center align-self-center">
          <?php if(get_theme_mod('halloween_party_timing_text') != ''){ ?>
            <p class="timing-text mb-lg-0"><?php echo esc_html(get_theme_mod('halloween_party_timing_text')); ?></p>
          <?php }?>
        </div>
        <div class="col-lg-4 col-md-6 text-lg-center text-md-start text-center align-self-center">
          <?php if(get_theme_mod('halloween_party_topbar_text') != ''){ ?>
            <p class="topbar-text mb-lg-0"><?php echo esc_html(get_theme_mod('halloween_party_topbar_text')); ?></p>
          <?php }?>
        </div>
        <div class="col-lg-4 col-md-6 text-md-end text-center align-self-center">
          <div class="social-links">
            <?php if(get_theme_mod('halloween_party_topbar_facebook_link') != ''){ ?>
              <a href="<?php echo esc_url(get_theme_mod('halloween_party_topbar_facebook_link')); ?>"><i class="fab fa-facebook-f"></i><span class="screen-reader-text"><?php echo esc_html('Facebook','halloween-party'); ?></span></a>
            <?php }?>
            <?php if(get_theme_mod('halloween_party_topbar_twitter_link') != ''){ ?>
              <a href="<?php echo esc_url(get_theme_mod('halloween_party_topbar_twitter_link')); ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php echo esc_html('Twitter','halloween-party'); ?></span></a>
            <?php }?>
            <?php if(get_theme_mod('halloween_party_topbar_instagram_link') != ''){ ?>
              <a href="<?php echo esc_url(get_theme_mod('halloween_party_topbar_instagram_link')); ?>"><i class="fab fa-instagram"></i><span class="screen-reader-text"><?php echo esc_html('Instagram','halloween-party'); ?></span></a>
            <?php }?>
            <?php if(get_theme_mod('halloween_party_topbar_pinterest_link') != ''){ ?>
              <a href="<?php echo esc_url(get_theme_mod('halloween_party_topbar_pinterest_link')); ?>"><i class="fab fa-pinterest-p"></i><span class="screen-reader-text"><?php echo esc_html('Pinterest','halloween-party'); ?></span></a>
            <?php }?>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php } ?>